Bug 107675 - Fail compiling kernel with acpi patch
Summary: Fail compiling kernel with acpi patch
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: acpi   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: djenandfred
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-21 21:53 UTC by djenandfred
Modified: 2013-07-03 02:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 19:35:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description djenandfred 2003-10-21 21:53:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
After installation of RH 9 and of the acpi patch, the kernel does not compile.

Here is what I do : I bought a brand new HP Pavillion ze 5400 and I struggle
install RH 9.0 on it. Therefore I follow the instructions given on this Web
page: http://home.elp.rr.com/mcghees/ze5470us.htm

When I compile the kernel image ("make bzImage") after having executed 
"make dep" successfully, I get the following compilation error :

make[2]: Entering directory `/usr/src/linux-2.4.20-8/net'
cc  -D__KERNEL__ -I/usr/src/linux-2.4.20-8/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer
-pipe -mpreferred-stack-boundary=2 -march=i386  
-nostdinc -iwithprefix include -DKBUILD_BASENAME=socket  -c -o socket.o socket.c
In file included from /usr/src/linux-2.4.20-8/include/net/tcp.h:1041,        
from /usr/src/linux-2.4.20-8/include/net/tux.h:38,
from socket.c:86:
/usr/src/linux-2.4.20-8/include/net/tcp_ecn.h: In function
`TCP_ECN_send':
/usr/src/linux-2.4.20-8/include/net/tcp_ecn.h:54: union has no
member named `af_inet'
/usr/src/linux-2.4.20-8/include/net/tcp_ecn.h:61: union has no member named
`af_inet'
make[2]: *** [socket.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.4.20-8/net'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.20-8/net'
make: *** [_dir_net] Error 2

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
- I installed RH 9.0 (all packages from the 3 CDs of binary
distribution). Therefore, I have the sources of kernel 2.4.20-8 on the
machine. I have kudzu and pcmcia not started.

- I installed the acpi patch (acpi-20021212-2.4.20.diff.gz) that is normally
compatible with the kernel.
- I configured the kernel compilation options  ("make xconfig"):
a/ I chose "Pentium II / Celeron / Pentium Pro" under the processor type and
features button (I have an Intel Celeron 2.2 GHz on the labtop).I selected 'n' n
for Toshiba and Dell Laptop support.  I made sure Local
APIC support on uniprocessors is set to n. 
b/ Under the General setup button,  I selected the ACPI Support button,selected
y for everything except Toshiba Laptop Extras. 
c/ under the FileSystems button, I selected m for NTFS system support
- I started compile the kernel. "Make dep" went OK. But "make bzImage"
went wrong and produced the compilation error.

Then "make dep".

Then "make bzImage".
    

Additional info:


Note You need to log in before you can comment on or make changes to this bug.